0

Php 5.5 EOL (end of life)

PHP 5.5 EOL (end of life) – 01.06.2016

Incepand cu data de 21.06.2016 PHP.net anunta ca inceteaza suportul si pentru versiunea php 5.5. Ce presupune EOL ? Incetarea suportului pentru o varianta PHP se traduce prin faptul ca Php.net nu va mai lansa update-uri pentru a rezolva buguri si brese de securitate descoperite pentru versiunea respectiva (inclusiv cele anterioare).

Conform unor studii recente, se pare ca versiunea php 5.5 este folosita de aproximativ 97.7% dintre utilizatori in momentul de fata, lucru nu tocmai bun datorita faptului ca orice vulnerabilitate descoperita dupa data de 21 Iunie nu va mai fi securizata [!!]. Utilizatorii de platforme/scripturi ce se bazeaza pe core-ul acestei versiuni pot avea surprize neplacute pe viitor daca nu fac upgrade catre o versiune superioara, versiune ce va avea suport.

Conform graficului de suport al PHP.net, urmatoarea versiune ce va intra in EOL va fi php v5.6 care va fi sustinuta activ pana la data de 01.01.2017 urmand a fi sustinuta prin patch-uri de securitate pana la 01.01.2019, data de la care, cel mai probabil va fi trecuta la EOL.

Experthot.ro: Suport versiuni PHP - php 5.5 EOL

Iata cum functioneaza in mod normal, suportul PHP.net: pentru doi ani, bug-uri si problemele de securitate care au fost raportate sunt rezolvate şi sunt lansate versiuni intermediare. Dupa aceasta perioada de doi ani, fiecare versiune de PHP este acceptata pentru un an suplimentar doar pentru probleme critice de securitate. Dupa ce versiunea ajunge la sfarşitul vietii, acesta nu mai este acceptata de catre Comunitate și orice vulnerabilitati, atunci cand sunt descoperite, nu mai sunt rezolvate.

In ceea ce ne priveste, clientii Experthost.ro nu sunt obligati sa faca update la o versiune superioara (desi ar fi prima recomandare) si sa rescrie codul in varianta unor solutii „custom made” (ceea ce ar presupune costuri foarte mari) deoarece folosim solutii al carui suport lanseaza update-uri si pentru versiuni mai vechi, chiar intrate in EOL.

Versiuni PHP

Ca masura de siguranta, toti clientii noi, cu conturi activate ulterior datii de 01.05.2016 vor avea ca „default” versiunea php 7.0 avand insa posibilitatea de a o schimba oricand cu una inferioara direct din interfata panoului de gazduire, cPanel (cPanel > Software > Versiune PHP). In prezent, clientii nostri pot alege una dintre versiunile incepand cu php 4.4 pana la php 7.0.

schimbare versiune PHP din interfata cPanel - Experthost.ro

Experthost.ro

Prezenți pe piața de servicii web sub acest nume, din 2006, am încercat să găsim soluția optimă, ca echilibru între servicii de calitate si prețuri cât mai mici posibile. Încercăm să fim cât mai aproape de perfecțiune și să păstrăm o relație frumoasă atât cu clienții cât și cu partenerii însă acest lucru nu prespune concesiuni numai din partea noastră.

Lasă un răspuns

Adresa ta de email nu va fi publicată. Câmpurile obligatorii sunt marcate cu *

*